package com.bailuntec.domain.enumerate;

/**
 * 这是OMS的平台枚举值
 */
public enum PlatformType {
    Amazon(1,"AMAZON"),
    Ebay(2,"EBAY"),
    Aliexpress(3,"ALIEXPRESS"),
    Wish(4,"WISH"),
    Cdiscount(5,"CDISCOUNT"),
    Prada(6,"PRADA"),
    Shopee(7,"SHOPEE"),
    MyMall(8,"MYMALL"),
    Joom(9,"JOOM"),
    Lazada(10,"LAZADA"),
    FBA(11,"FBA"),
    Paypal(12,"PAYPAL"),
    Non_Amazon(99,"NON_AMAZON"),
    Walmart(13,"WALMART"),
    PriceMinister(14,"PRICEMINISTER"),
    wwFnac(15,"WWFNAC");
    
    private final int code;
    private final String value;


    PlatformType(int code, String value) {
        this.code = code;
        this.value = value;
    }

    public String value() {
        return value;
    }

    public int code() {
        return code;
    }
}
